# Dotfiles config repo (neovim, bash, git, sway ...)

Save this service config to `$XDG_CONFIG_HOME/systemd/user/dotfiles.service`:

```
[Unit]
Description=Stow dotfiles linker
Documentation=man:stow(1)
Before=wayland-session.target
Conflicts=wayland-session.target

[Service]
Type=oneshot
WorkingDirectory=%h/dev/dotfiles
RemainAfterExit=true
ExecStart=/usr/bin/stow --target=%h --adopt dotfiles/
ExecStop=/usr/bin/stow --target=%h --delete dotfiles/

[Install]
WantedBy=default.target
```

(and enable it:)

```sh
systemctl --user enable --now dotfiles.service
```
